apiVersion: apps/v1
kind: Deployment
metadata:
  name: postgres
spec:
  replicas: 1
  selector:
    matchLabels:
      app: postgres
  template:
    metadata:
      labels:
        app: postgres
    spec:
      containers:
        - name: postgres
          image: postgres:10.4
          imagePullPolicy: "IfNotPresent"
          ports:
            - containerPort: 5432
          envFrom:
            - configMapRef:
                name: postgres-config
          volumeMounts:
            - mountPath: /var/lib/postgresql/data
              name: postgredb
            - name: config
              mountPath: "/docker-entrypoint-initdb.d"
              readOnly: true
      volumes:
      - name: config
        configMap:
          name: carpool
          items:      
          - key: "esentricar.sql"
            path: "esentricar.sql"
      - name: postgredb
        persistentVolumeClaim:
          claimName: postgres-pv-claim